Results 1 to 9 of 9

Thread: Update plasma 5.8.3 to the last version of 5.8

  1. #1

    Question Update plasma 5.8.3 to the last version of 5.8

    Hello i want update plasma 5.8.3 to the lastest version, but when i do zypper up not appear but on some geeks websites that show updates/info, show that kde 5.8 recieved a update and when i saw the change log, my plasma version is too old.

  2. #2

    Default Re: Update plasma 5.8.3 to the last version of 5.8

    Currently, 42.2 does only have Plasma 5.8.3, yes.
    Plasma 5.8.6 has been submitted as official update for 42.2 though, you should get it via the standard Update repo probably next week or so.

    If you do want to have the latest 5.8.x LTS version all the time (on release day), you can use the KDE:Frameworks5:LTS repo:
    https://download.opensuse.org/reposi...USE_Leap_42.2/

  3. #3

    Question Re: Update plasma 5.8.3 to the last version of 5.8

    Quote Originally Posted by wolfi323 View Post
    Currently, 42.2 does only have Plasma 5.8.3, yes.
    Plasma 5.8.6 has been submitted as official update for 42.2 though, you should get it via the standard Update repo probably next week or so.

    If you do want to have the latest 5.8.x LTS version all the time (on release day), you can use the KDE:Frameworks5:LTS repo:
    https://download.opensuse.org/reposi...USE_Leap_42.2/
    Man, thank you to help this ignorant man to find the light , one more question, where can i see information about what opensuse will get the last version of Plasma 5.8.x?

  4. #4

    Default Re: Update plasma 5.8.3 to the last version of 5.8

    Quote Originally Posted by walddys View Post
    one more question, where can i see information about what opensuse will get the last version of Plasma 5.8.x?
    I'm not sure I understand this question correctly.

    Only 42.2 will get Plasma 5.8.6. 42.1 will stay at 5.5.5.
    (Tumbleweed, the rolling distribution, has 5.9.2 already anyway)

    And in general, Leap is a "fixed" release. Normally packages are not updated to newer versions afterwards.
    There are some exceptions though where it makes sense. (e.g. Firefox and Chromium, or in this case Plasma)

    42.3, the next Leap release, will of course get the latest 5.8.x release available at the time.

  5. #5

    Default Re: Update plasma 5.8.3 to the last version of 5.8

    Quote Originally Posted by wolfi323 View Post
    I'm not sure I understand this question correctly.

    Only 42.2 will get Plasma 5.8.6. 42.1 will stay at 5.5.5.
    (Tumbleweed, the rolling distribution, has 5.9.2 already anyway)

    And in general, Leap is a "fixed" release. Normally packages are not updated to newer versions afterwards.
    There are some exceptions though where it makes sense. (e.g. Firefox and Chromium, or in this case Plasma)

    42.3, the next Leap release, will of course get the latest 5.8.x release available at the time.
    what i mean is, where you see that Leap 42.2 will get 5.8.6?

  6. #6

    Default Re: Update plasma 5.8.3 to the last version of 5.8

    Quote Originally Posted by walddys View Post
    what i mean is, where you see that Leap 42.2 will get 5.8.6?
    Well, I happen to know it because I'm involved in packaging...

    But you can see all currently pending update requests here:
    https://build.opensuse.org/project/s...SE:Maintenance

    This particular one:
    https://build.opensuse.org/request/show/460647

  7. #7
    -G- NNTP User

    Default Re: Update plasma 5.8.3 to the last version of 5.8

    On Tue, 28 Feb 2017 19:46:02 +0000, wolfi323 wrote:
    > And in general, Leap is a "fixed" release. Normally packages are not
    > updated to newer versions afterwards.
    > There are some exceptions though where it makes sense. (e.g. Firefox and
    > Chromium, or in this case Plasma)


    Sorry for the clueless question. Does that mean that KMail5 will never
    have any bug fixes in 42.2?
    There is one bug in particular that is causing me endless headaches :-(
    Thank you.

    -G-

  8. #8

    Default Re: Update plasma 5.8.3 to the last version of 5.8

    Quote Originally Posted by -G- View Post
    On Tue, 28 Feb 2017 19:46:02 +0000, wolfi323 wrote:
    > And in general, Leap is a "fixed" release. Normally packages are not
    > updated to newer versions afterwards.
    > There are some exceptions though where it makes sense. (e.g. Firefox and
    > Chromium, or in this case Plasma)


    Sorry for the clueless question. Does that mean that KMail5 will never
    have any bug fixes in 42.2?
    No.
    It means what I wrote: kmail5 will not be updated to a later/newer version in 42.2, i.e. there will not be an update to 16.08.3 or higher (the latter won't be possible anyway as it would also require newer KDE Frameworks).

    Doesn't mean that there cannot be updates with backported fixes.
    Otherwise you wouldn't get many updates at all.

    There is one bug in particular that is causing me endless headaches :-(
    And what would that be?

    Not that it's related to Plasma in any way though...
    Last edited by wolfi323; 01-Mar-2017 at 09:04.

  9. #9

    Default Re: Update plasma 5.8.3 to the last version of 5.8

    Quote Originally Posted by wolfi323 View Post
    Well, I happen to know it because I'm involved in packaging...

    But you can see all currently pending update requests here:
    https://build.opensuse.org/project/s...SE:Maintenance

    This particular one:
    https://build.opensuse.org/request/show/460647
    Thank you for this great information.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •